<?php

defined('BASEPATH') or exit('No direct script access allowed');

/*
 *  ==============================================================================
 *  Author    : liwis 
 *  Email     : support@grandse.com
 *  For       : GRANDSE POS
 *  Web       : http://grandse.com

 *  For     : PHP QR Code
 *  Web     : http://phpqrcode.sourceforge.net
 *  License : open source (LGPL)
 *  ==============================================================================
 */

use PHPQRCode\QRcode;

class Tec_qrcode
{
    public function generate($params = [])
    {
        $params['data'] = (isset($params['data'])) ? $params['data'] : 'http://tecdiary.com';
        QRcode::png($params['data'], $params['savename'], 'H', 2, 0);
        return $params['savename'];
    }
}
